Skip to main content
GET
/
api
/
v1
/
payments
/
stats
Get Payment Statistics
curl --request GET \
  --url https://api.devkit4ai.com/api/v1/payments/stats \
  --header 'Authorization: Bearer <token>'
{
  "total_projects": 123,
  "projects_with_config": 123,
  "projects_with_test": 123,
  "projects_with_live": 123,
  "total_subscriptions": 123,
  "active_subscriptions": 123,
  "total_payments": 123,
  "successful_payments": 123,
  "total_revenue_cents": 123,
  "currency": "usd"
}

Documentation Index

Fetch the complete documentation index at: https://devkit4ai.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

test_mode
boolean
default:true

Include test mode data

Response

Successful Response

Aggregated payment statistics.

total_projects
integer
required
projects_with_config
integer
required
projects_with_test
integer
required
projects_with_live
integer
required
total_subscriptions
integer
required
active_subscriptions
integer
required
total_payments
integer
required
successful_payments
integer
required
total_revenue_cents
integer
required
currency
string
default:usd